detector {secr} | R Documentation

## Detector Type

### Description

Extract or replace the detector type.

### Usage

    detector(object, ...)
    detector(object) <- value

### Arguments

`object` | object with ‘detector’ attribute e.g. `traps`
`value` | character string for detector type
`...` | other arguments (not used)

### Details

Valid detector types are ‘single’, ‘multi’, ‘proximity’, ‘count’, ‘capped’, ‘signal’, ‘polygon’, ‘transect’, ‘polygonX’, and ‘transectX’. The detector type is stored as an attribute of a `traps` object. Detector types are mostly described by Efford et al. (2009a,b; see also secr-overview.pdf). Polygon and transect detector types are for area and linear searches as described in secr-polygondetectors.pdf and Efford (2011). The ‘signal’ detector type is used for acoustic data as described in secr-sound.pdf.

The ‘capped’ detector type refers to binary proximity data in which no more than one individual may be detected at a detector on any occasion. The type is partially implemented in secr 3.1.1: data may be simulated and manipulated, but for model fitting these are treated as proximity data by `secr.fit()`.

### Value

character string for detector type

### References

Efford, M. G. (2011) Estimation of population density by spatially explicit capture–recapture with area searches. Ecology 92, 2202–2207.

Efford, M. G., Borchers D. L. and Byrom, A. E. (2009a) Density estimation by spatially explicit capture-recapture: likelihood-based methods. In: D. L. Thomson, E. G. Cooch and M. J. Conroy (eds) Modeling Demographic Processes in Marked Populations. Springer, New York. Pp. 255–269.

Efford, M. G., Dawson, D. K. and Borchers, D. L. (2009b) Population density estimated from locations of individuals on a passive detector array. Ecology 90, 2676–2682.

### See Also

`traps`, `RShowDoc`

### Examples

    ## Default detector type is "multi"
    temptrap <- make.grid(nx = 6, ny = 8)
    detector(temptrap) <- "proximity"
    summary(temptrap)

[Package secr version 3.2.1 Index]